#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    int T, n;
    cin >> T;
    map<char, set<char>> mp;
    mp['2'].insert({'a', 'b', 'c'});
    mp['3'].insert({'d', 'e', 'f'});
    mp['4'].insert({'g', 'h', 'i'});
    mp['5'].insert({'j', 'k', 'l'});
    mp['6'].insert({'m', 'n', 'o'});
    mp['7'].insert({'p', 'q', 'r', 's'});
    mp['8'].insert({'t', 'u', 'v'});
    mp['9'].insert({'w', 'x', 'y', 'z'});
    for (int t = 1; t <= T; t++)
    {
        cout << "Case #" << t << ":\n";
        string num, chk;
        cin >> num >> n;
        while (n--)
        {
            cin >> chk;
            bool flag = true;
            for (size_t i = 0; i < num.size(); i++)
                if (mp[num[i]].count(chk[i]) == 0)
                    flag = false;
            cout << (flag ? "Maybe.." : "How could that be possible?") << endl;
        }
    }
    return 0;
}
